// tMonitor.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "tMonitor.h"

#include "MainFrm.h"
#include "tMonitorDoc.h"
#include "tMonitorView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CtMonitorApp

BEGIN_MESSAGE_MAP(CtMonitorApp, CWinApp)
	//{{AFX_MSG_MAP(CtMonitorApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CtMonitorApp construction

CtMonitorApp::CtMonitorApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CtMonitorApp object

CtMonitorApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CtMonitorApp initialization

BOOL CtMonitorApp::InitInstance()
{
    // Set company name for registry settings
    // NOTE: Need to do this first for the Win95 hack to work properly.
    SetRegistryKey("Sells Brothers");

    // Initialize TAPI
    if( TFAILED(::TfxLineInitialize()) )
    {
        ::AfxMessageBox(IDS_CANT_INIT_TAPI_LINE);
        return FALSE;
    }

    // Start the phone part (if it's available)
    ::TfxPhoneInitialize();

	// Register document templates
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CtMonitorDoc),
		RUNTIME_CLASS(CMainFrame),       // main SDI frame window
		RUNTIME_CLASS(CtMonitorView));
	AddDocTemplate(pDocTemplate);

	// Parse command line for standard shell commands, DDE, file open
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	// Dispatch commands specified on the command line
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
		// No message handlers
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// App command to run the dialog
void CtMonitorApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CtMonitorApp commands

int CtMonitorApp::ExitInstance() 
{
	// Shutdown TAPI
    ::TfxLineShutdown();
    ::TfxPhoneShutdown();
	
	return CWinApp::ExitInstance();
}
